.responsive-container {
    position: relative;
    width: 100%;
}

.dummy {
    padding-top: 100%; /* forces 1:1 aspect ratio */
}

.img-container {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    text-align:center; /* Align center inline elements */
}

.text-container {
	font-size:2em;
	padding-top: 1em;
    vertical-align: middle;
	text-align: center;
}

.img-container img {
    vertical-align: middle;
	text-align: center;
    display: inline-block;
}